Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2319 (new defect)

Opened 12 years ago

Last modified 12 years ago

Using madwifi with hostapd for WPA2 access - wifi performance dropped after updating to new svn source

Reported by: ilkera@kobiline.com Assigned to:
Priority: major Milestone:
Component: madwifi: driver Version: trunk
Keywords: performance problems Cc: ilkera@koc.net
Patch is attached: 0 Pending: 0

Description

Hi,

I was using a very old version of Madwifi drivers for my Atheros card with Hostapd for WPA2 access on my Linux router. My kernel version is : 2.6.18-92.1.13.el5

With this combination I was very happy until the day that I purchased a Nokia E71 phone. When I tried to connect it to my Wifi network I saw that it was not able to make much data transaction after being connected. Then I realized that if I disable power saving feature on Nokia WLAN, it was working fine. But that costs a lot of battery usage. After searching a little I found this ticket 1911 at http : // madwifi-project.org/ticket/1911

According to post "04/26/09 11:09:35 changed by camh" I decided to compile a new version of Madwifi and got the trunk with svn. Compiled and installed it to see that my Nokia E71 was able to browse using power save feature. Great !

But after a few hours of sleep, I retried and saw that it was not able to browse anymore. Besides, my laptop (which was connecting at high performance) was not getting good performance anymore. It could connect to wifi and ping my Linux router at 2ms responses. But if I browse any web page it takes too long and ping responses from the router go above 2000ms. Too bad !

Unfortunately I can't go back to old version of the driver because I don't have the source and I don't know what version it was. Now, how can I troubleshoot this problem ?

Some info about my uplink: I have a ppp connection to my ADSL modem which is connected at 8Mbit and if I connect my laptop with Ethernet to my Linux router I can browse at 8Mbit with no problems. This issue only occurs with Wifi connection. And above 2000ms ping responses are from my Router which is also the access point with madwifi driver. If I don't make any data connection over wifi, I can ping my Router with 2ms response.

Thanks, ilker Aktuna

Change History

07/11/09 23:14:30 changed by ilkera@kobiline.com

I see a lot of errors in TX :

wifi0     Link encap:UNSPEC  HWaddr 00-80-48-4F-21-8D-98-44-00-00-00-00-00-00-00-00  
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:11409 errors:0 dropped:0 overruns:0 frame:227
          TX packets:18478 errors:9411 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:280 
          RX bytes:1311235 (1.2 MiB)  TX bytes:8630399 (8.2 MiB)
          Interrupt:9 

07/12/09 08:45:02 changed by ilkera@kobiline.com

When I get my laptop very close (20-30inch) to the router, the connection is not bad. Also in this state errors are not increasing. So it might be something related to TX power ? Could it be that new dr5iver dropped the TX power of the card ? In this case how can I increase it ?

07/12/09 08:57:20 changed by anonymous

Ok; I found out that txpower can be shown and modified by following commands:

[trixbox1.localdomain ~]# iwlist ath0 txpower
ath0      8 available transmit-powers :
          0 dBm         (1 mW)
          6 dBm         (3 mW)
          8 dBm         (6 mW)
          10 dBm        (10 mW)
          12 dBm        (15 mW)
          14 dBm        (25 mW)
          16 dBm        (39 mW)
          18 dBm        (63 mW)
          Current Tx-Power=18 dBm       (63 mW)

[trixbox1.localdomain ~]# iwconfig ath0 txpower 18dBm   

But it was already set to 18dBm. So I have no solution. Any ideas ?

07/12/09 20:03:22 changed by ilkera@kobiline.com

I have new information:

When I set the channel to 5 or 8 , I can go up to 18 dBm. If I set it to channel 1 or 11 I can only go up to 17 dBm. The other channels, I can't even set to...

What's the idea ?

07/13/09 09:07:20 changed by anonymous

If I had to guess, your version of madwifi has selected the wrong antenna connector. Switch to the other antenna connector and try your test again.

07/13/09 09:50:16 changed by ilkera@kobiline.com

How can I switch to the other antenna connector ? I have 2 connectors on the card and 2 antennas are attached.